<template>
    <v-card
        elevation="12"
        max-width="444"
        class="mx-auto">
        <v-system-bar lights-out/>
        <p>{{ sistemBarText }}</p>
        <v-carousel
            :continuous="true"
            :cycle="cycle"
            :show-arrows="showArrows"
            hide-delimiter-background
            :delimiter-icon="delimiterIcon"
            :height="carouselHeight">
            <v-carousel-item
                v-for="(slide, i) in slides"
                :key="i">
                <v-sheet
                    :color="backgroundColors[i]"
                    height="100%"
                    tile>
                    <v-row
                        class="fill-height"
                        align="center"
                        justify="center">
                        <div class="display-3">
                            {{ slide }}
                        </div>
                    </v-row>
                </v-sheet>
            </v-carousel-item>
        </v-carousel>
        <v-list two-line>
            <v-list-item>
                <v-list-item-content>
                    <v-list-item-title>{{ titleCard }}</v-list-item-title>
                    <v-list-item-subtitle>{{ subtitleCard }}</v-list-item-subtitle>
                </v-list-item-content>
            </v-list-item>
        </v-list>
    </v-card>
</template>

<script>
export default {
    name: 'CarouselCard',
    props: {
        sistemBarText: {
            type: String,
            default: ''
        },
        subtitleCard: {
            type: String,
            default: ''
        },
        titleCard: {
            type: String,
            default: ''
        },
        carouselHeight: {
            type: Number,
            default: 300
        },
        cycle: {
            type: Boolean,
            default: true
        },
        showArrows: {
            type: Boolean,
            default: false
        },
        delimiterIcon: {
            type: String,
            default: 'fa fa-minus'
        },
        backgroundColors: {
            type: Array,
            default: function () { return [
                'green',
                'cyan',
                'yellow darken-4',
                'red lighten-2',
                'orange darken-1',
            ] },
        },
        slides: {
            type: Array,
            default: function () { return [
                'Instagram Influencers',
                'Brands',
                'Bloggers',
                'Agencies',
                'Commercial Business',
            ] }
        }
    },
}
</script>
